### Function

# EDataServer Client util_copy_string_slist

deprecated: 3.8 since: 3.2

#### Declaration [src]

    GSList*
    e_client_util_copy_string_slist (
      GSList* copy_to,
      const GSList* strings
    )

#### Description [src]

Copies the `GSList` of strings to the end of `copy_to`.

Available since: 3.2

Deprecated since: 3.8

Use `e_util_copy_string_slist()` instead.

#### Parameters

`copy_to`

  Type: A list of `utf8`

  Where to copy; may be `NULL`.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

`strings`

  Type: A list of `utf8`

  `GSList` of strings to be copied.

  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `utf8`

New head of `copy_to`. The returned pointer can be freed with e_client_util_free_string_slist().

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.